For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Request featuresContact support
DocsAPI ReferenceGraphQLIntegrationsDeveloper ToolsMNO and Resellers
DocsAPI ReferenceGraphQLIntegrationsDeveloper ToolsMNO and Resellers
  • Docs
    • Event types
    • Tariff
  • API Reference
        • POSTCreate organization
        • GETList organization relation types
        • GETList organization verification types
        • GETOrganization details
        • DELDelete organization
        • PATCHUpdate organization
        • GETList an organization's events
        • GETList organization contacts
        • POSTCreate a contact
        • GETContact details
        • DELDelete a contact
        • PATCHUpdate a contact
LogoLogo
Request featuresContact support
API ReferenceOrganization

List an organization's events

GET
https://cdn.emnify.net/api/v1/organisation/:org_id/event
GET
/api/v1/organisation/:org_id/event
$curl https://cdn.emnify.net/api/v1/organisation/12345/event \
> -H "Authorization: Bearer <token>"
1[
2 {
3 "timestamp": "2020-07-20T12:07:09.000Z",
4 "alert": true,
5 "description": "PDP Context deleted.",
6 "id": 69535,
7 "event_type": {
8 "description": "Delete PDP Context",
9 "id": 4
10 },
11 "event_source": {
12 "name": "Network",
13 "id": 0
14 },
15 "event_severity": {
16 "description": "INFO",
17 "id": 0
18 },
19 "organisation": {
20 "name": "Organisation_Name",
21 "id": 2
22 },
23 "endpoint": {
24 "name": "Monitoring201",
25 "tags": "Monitoring",
26 "ip_address": "10.199.6.39",
27 "imei": null,
28 "id": 1
29 },
30 "sim": {
31 "iccid": "8988317000000000000",
32 "production_date": "2019-12-17T13:26:13.000Z",
33 "id": 110
34 },
35 "imsi": {
36 "imsi": "901430000000114",
37 "import_date": "2019-12-17T13:26:08.000Z",
38 "id": 110
39 }
40 }
41]
Returns the list of events, filtered, sorted and paged according to query parameters. The events of the own organization can also be retrieved with call to `/api/v1/organisation/my/event`. <Warning> This API endpoint deviates from the specified conventions and may not return the same HTTP Codes as the higher layer call (`/api/v1/organisation/{org_id|my}`). In case the requested `{org_id}` does not exist or is not accessible for the user, **HTTP 200** will be returned with empty **[]** as long as the provided `{org_id}` is a number and all parameters are valid. Please take that into consideration when building automation on top of the error behaviour of this endpoint. </Warning>
Was this page helpful?
Previous

Update organization

Next

List organization contacts

Built with

Returns the list of events, filtered, sorted and paged according to query parameters.

The events of the own organization can also be retrieved with call to /api/v1/organisation/my/event.

This API endpoint deviates from the specified conventions and may not return the same HTTP Codes as the higher layer call (/api/v1/organisation/{org_id|my}). In case the requested {org_id} does not exist or is not accessible for the user, HTTP 200 will be returned with empty [] as long as the provided {org_id} is a number and all parameters are valid. Please take that into consideration when building automation on top of the error behaviour of this endpoint.

Authentication

AuthorizationBearer

An auth_token should be provided to authenticate a session.

To obtain an auth_token, see the POST request to /api/v1/authenticate.

Path parameters

org_iddoubleRequired
Numerical ID of an organization

Query parameters

pageintegerOptional
Current page number
per_pageintegerOptional
Defines the number of items per page
sortstringOptional
Sort properties according to a comma separated list of accepted fields. Valid fields are: - `id` - (**event id**) - `timestamp` - (**event timestamp**) - `source` - (**event source**) - `severity` - (**event severity**) - `alert` - (**alert status**) - `organisation` - (**organization name**) - `user` - (**user id**) - `endpoint` - (**endpoint name**) - `tags` - (**endpoint tags**) - `ip_address` - (**endpoint ip_address**) - `iccid` - (**sim iccid**) - `imsi` - (**sim imsi**) - `type` - (**event type**)
qstringOptionalformat: "(from|until|type|source|severity|alert|description|organisation|user|endpoint|tags|ip_address|imei|iccid|imsi|timestamp)\:.+"
Filter parameter in `<filter>:<value>` format. Multiple filters must be a comma-separated list of the following fields: - `from` (**date**, format `YYYY-MM-DDTHH:mm:ssZ`, __only valid with until!__) - `until` (**date**, format `YYYY-MM-DDTHH:mm:ssZ`, __only valid with from!__) - `type` (**event_type**, numerical) - `source` (**event_type**, numerical, e.g. 0 = Network), 1 = Policy Control, 2 = API) - `severity` (**event_severity**, numerical, e.g. 0 = Info, 1 = Warn), 2 = Critical) - `alert` (boolean, e.g. true, false) - `description` (**event description**, string) - `organisation` (**organization name**, string) - `user` (**user name**, string) - `endpoint` (**endpoint name**, string) - `tags` (**endpoint tags**, string) - `ip_address` (**endpoint IP address**, valid IPv4/IPv6 address) - `imei` (**endpoint imei**, numerical string) - `iccid` (**sim iccid**, numerical string) - `imsi` (**sim imsi**, numerical string) - `timestamp` (**date**, format `YYYY-MM-DDTHH:mm:ssZ`, for querying events of 1 day, deprecated in future)

Response headers

linkstring
URLs for navigational links used to retrieve first, previous, next and last page in a dataset
x-count-per-pageinteger

The requested per_page parameter

x-current-pageinteger
The current page number within the current data set
x-total-countinteger
The total element count in the current data set
x-total-pagesinteger
The total page count in the current data set
x-filterstring

If filtering is applied using ?q=field:criteria URL query parameters, the filter criteria is returned here

x-sortstring

If sorting is applied using ?sort=sort_criteria URL query parameters, the sort criteria is returned here

Response

Successfully returned a list of events of an Organization
timestampstring
alertboolean
descriptionstring
idinteger
event_typeobject
event_sourceobject
event_severityobject
organisationobject
endpointobject
simobject
imsiobject

Errors

400
Bad Request Error
422
Unprocessable Entity Error

Sort properties according to a comma separated list of accepted fields. Valid fields are:

  • id - (event id)
  • timestamp - (event timestamp)
  • source - (event source)
  • severity - (event severity)
  • alert - (alert status)
  • organisation - (organization name)
  • user - (user id)
  • endpoint - (endpoint name)
  • tags - (endpoint tags)
  • ip_address - (endpoint ip_address)
  • iccid - (sim iccid)
  • imsi - (sim imsi)
  • type - (event type)

Filter parameter in <filter>:<value> format. Multiple filters must be a comma-separated list of the following fields:

  • from (date, format YYYY-MM-DDTHH:mm:ssZ, only valid with until!)
  • until (date, format YYYY-MM-DDTHH:mm:ssZ, only valid with from!)
  • type (event_type, numerical)
  • source (event_type, numerical, e.g. 0 = Network), 1 = Policy Control, 2 = API)
  • severity (event_severity, numerical, e.g. 0 = Info, 1 = Warn), 2 = Critical)
  • alert (boolean, e.g. true, false)
  • description (event description, string)
  • organisation (organization name, string)
  • user (user name, string)
  • endpoint (endpoint name, string)
  • tags (endpoint tags, string)
  • ip_address (endpoint IP address, valid IPv4/IPv6 address)
  • imei (endpoint imei, numerical string)
  • iccid (sim iccid, numerical string)
  • imsi (sim imsi, numerical string)
  • timestamp (date, format YYYY-MM-DDTHH:mm:ssZ, for querying events of 1 day, deprecated in future)